MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations | Functions | Variables
Ack.hxx File Reference
`#include <stdexcept>`
`#include <stdio.h>`
Include dependency graph for Ack.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | ProtocolError

## Enumerations
enum | ack { ACK_ERROR_NOT_LIST = 1, ACK_ERROR_ARG = 2, ACK_ERROR_PASSWORD = 3, ACK_ERROR_PERMISSION = 4, ACK_ERROR_UNKNOWN = 5, ACK_ERROR_NO_EXIST = 50, ACK_ERROR_PLAYLIST_MAX = 51, ACK_ERROR_SYSTEM = 52, ACK_ERROR_PLAYLIST_LOAD = 53, ACK_ERROR_UPDATE_ALREADY = 54, ACK_ERROR_PLAYER_SYNC = 55, ACK_ERROR_EXIST = 56 }

## Functions
template<typename... Args>
static ProtocolError | FormatProtocolError (enum ack code, const char *fmt, Args &&...args) noexcept

## Variables
const Domain | ack_domain

## Enumeration Type Documentation

enum ack

Enumerator
ACK_ERROR_NOT_LIST |
ACK_ERROR_ARG |
ACK_ERROR_PASSWORD |
ACK_ERROR_PERMISSION |
ACK_ERROR_UNKNOWN |
ACK_ERROR_NO_EXIST |
ACK_ERROR_PLAYLIST_MAX |
ACK_ERROR_SYSTEM |
ACK_ERROR_PLAYLIST_LOAD |
ACK_ERROR_UPDATE_ALREADY |
ACK_ERROR_PLAYER_SYNC |
ACK_ERROR_EXIST |

Definition at line 29 of file Ack.hxx.

## Function Documentation

template<typename... Args>

static ProtocolError FormatProtocolError | ( | enum ack | code,
|  | const char * | fmt,
|  | Args &&... | args
| ) |  |
| inline static noexcept

Definition at line 61 of file Ack.hxx.

## Variable Documentation

const Domain ack_domain